\version "2.21.0"

\include "include-once.ily"

transpInstr = bes,     % default set to c in -common.ily

\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

\header {
    instrument = "1. Klarinette in B"
}

\paper {
    % ragged-last-bottom = ##f
    page-count = #10    % Finalize
}


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*53 |
    \barNumberCheck # 64
    \pageBreak
    s2*38 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*33 |
    \barNumberCheck # 137
    \pageTurn
    s2.*39 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*32 |
    \barNumberCheck # 208
    \break
    s4.*50 |
    \barNumberCheck # 258
}
>>



cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \transposition bes,
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2*5 | }
    \barNumberCheck # 29
    s2*21 |
    \barNumberCheck # 50
    \at 4. -\offset X-offset #-1.5 ^\markup{1.2.Fagott}
    \cueDuring mvtIfgI #DOWN { s4. \ottava #-1 s8 | s2*2 | s4 \ottava #0 } s4 |
    \barNumberCheck # 54
    s2*48 |
    \barNumberCheck # 102
    % \time 3/8
    <>-\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \cueDuring mvtIbclr #DOWN { s4.*2 | }
    \barNumberCheck # 104
    % \time 6/8
    s2.*7 |
    \barNumberCheck # 111
    \at 16 -\offset X-offset #-1.5 ^\markup{1.2.Fagott}
    \at 2. \temporary \override MultiMeasureRest.staff-position = #4
    \cueDuring mvtIfgI #DOWN { s16 \ottava #-1 s s4 s4. | s4. s8 \ottava #0 } s4 |
    \barNumberCheck # 113
    \revert MultiMeasureRest.staff-position
    s2.*24 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        { \voiceOne s2.*4 | \oneVoice }
    >>
    \barNumberCheck # 141
    s2. |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup{2.Klarinette}
    \cueDuring mvtIclrII #DOWN { s2.*3 | }
    \barNumberCheck # 145
    s2.*10 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \temporary \override MultiMeasureRest.staff-position = #4
    \cueDuring mvtIvc #DOWN { \ottava #-1 s2.*3 \ottava #0 | }
    \barNumberCheck # 158
    \revert MultiMeasureRest.staff-position
    s2.*4 |
    \barNumberCheck # 162
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 2 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2.*3 | }
    \barNumberCheck # 165
    \revert MultiMeasureRest.staff-position
    s2.*11 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*37 |
    \barNumberCheck # 213
    % \temporary \override MultiMeasureRest.staff-position = #4
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s4 \ottava #-1 s8 | s4.*4 | \ottava #0 }
    \barNumberCheck # 218
    s4.*40 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIclrI ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIclrI \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIclrI
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*22 |
    \grace s16
    s2.*40 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*19 |
    \barNumberCheck # 115
    \pageTurn
    s2.*21 |
    \barNumberCheck # 136
    % \time 4/4
    s1*19 |
    \barNumberCheck # 155
    \noBreak
    s1*30 |
    \barNumberCheck # 185
    % \pageTurn
    s1*13 |
    \barNumberCheck # 198
    \pageTurn
    s1*3 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*7 |
    \barNumberCheck # 208
    \noBreak
    s2.*6 |
    \barNumberCheck # 214
    % \time 4/4
    s1 |
    \noBreak
    s1*16 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."} \cueDuring mvtIIbclr #DOWN { s4 } s2 |
    \barNumberCheck # 2
    s2.*11 |
    \barNumberCheck # 13
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2. | s4 } s2 |
    \barNumberCheck # 15
    s2.*34 |
    \barNumberCheck # 49
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIIobI #UP { s2.*4 | }
    \barNumberCheck # 53
    s2.*10 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -1 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    % \temporary \override MultiMeasureRest.staff-position = #4
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s1*5 | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 90
    <>-\offset X-offset #-1.5 ^\markup{Solo-Violine}
    \cueDuring mvtIIvlnSolo #UP { s2. | }
    \barNumberCheck # 91
    s2.*5 |
    \barNumberCheck # 96
    s2.*19 |
    \barNumberCheck # 115
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*4 | }
    \barNumberCheck # 119
    \revert MultiMeasureRest.staff-position
    s2.*17 |
    \barNumberCheck # 136
    % \time 4/4
    #(ly:expect-warning "cannot end slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{Kontrafagott}
    \at 2.. ^\markup\halign #-1.0 {1.Fagott}
    \cueDuring mvtIIcfg #DOWN { \ottava #-1 s1 | }
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "cannot end slur")
    #(ly:expect-warning "unterminated slur")
    \cueDuring mvtIIfgI #DOWN { s1*5 | \ottava #0 }
    \barNumberCheck # 142
    \revert MultiMeasureRest.staff-position
    s1*16 |
    \barNumberCheck # 158
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #UP { s1*6 | }
    \barNumberCheck # 164
    s1*34 |
    \barNumberCheck # 198
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuring mvtIIfgI #DOWN { s8 \ottava #-1 s2.. | s4 \ottava #0 } s2. |
    \barNumberCheck # 200
    \at 4 -\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \cueDuring mvtIIbclr #UP {
        s4 s2. |
        \barNumberCheck # 201
        % \time 3/4
        s2. |
    }
    \cueDuring mvtIIbclr #DOWN {
        s2.*2 |
    }
    \barNumberCheck # 204
    s2.*10 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIclrI ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIclrI \with {
            % \consists "Span_arpeggio_engraver"
        } \context Bottom <<
            \transpose \transpInstr c \mvtIIclrI
            \cuesII
            \new Lyrics \mvtIIclrLyrics
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        % breakbefore = ##t
    }

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
