\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "2. Klarinette in A"
}

\paper {
    % ragged-last-bottom = ##f
    % ragged-bottom = ##t
}


% %{
breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*46 |
    \barNumberCheck # 57
    \pageBreak
    s2*45 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*31 |
    \barNumberCheck # 135
    \pageTurn
    s2.*41 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*82 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    #(ly:expect-warning "unterminated tie")
    #(ly:expect-warning "unterminated slur")
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    \barNumberCheck # 3
    \revert MultiMeasureRest.staff-position
    s1*8 |
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2*5 | }
    \barNumberCheck # 29
    s2*55 |
    \barNumberCheck # 84
    \temporary \override MultiMeasureRest.staff-position = #-11
    \at 2 \revert MultiMeasureRest.staff-position
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s2*4 | }
    \barNumberCheck # 88
    s2*14 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*24 |
    \barNumberCheck # 128
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIobI #UP { s2.*2 | s4. s8 } s4 |
    \barNumberCheck # 131
    s2.*6 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        { \voiceOne s2.*4 | \oneVoice }
    >>
    \barNumberCheck # 141
    s2.*14 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \temporary \override MultiMeasureRest.staff-position = #4
    \cueDuring mvtIvc #DOWN { \ottava #-1 s2.*3 \ottava #0 | }
    \barNumberCheck # 158
    \revert MultiMeasureRest.staff-position
    s2.*4 |
    \barNumberCheck # 162
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 2 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2.*3 | }
    \barNumberCheck # 165
    \revert MultiMeasureRest.staff-position
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    #(ly:expect-warning "unterminated slur")
    \cueDuring mvtIclrI #DOWN { s2. | s2 } s4 |
    \barNumberCheck # 167
    s2.*8 |
    \barNumberCheck # 175
    \at 4. -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN {
        s2. |
        \barNumberCheck # 176
        % \bar "||"
        % \time 3/8
        s4.*2 |
    }
    \barNumberCheck # 178
    s4.*40 |
    \barNumberCheck # 218
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s4.*4 | }
    \barNumberCheck # 222
    s4.*6 |
    \barNumberCheck # 228
    <>-\offset X-offset #-1.5 ^\markup{Baßklarinette}
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    \at 4.*3 \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.*5 \revert MultiMeasureRest.staff-position
    \cueDuring mvtIbclr #DOWN { s4.*8 | }
    \barNumberCheck # 236
    s4.*22 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIclrII ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIclrII \with {
        } \context Bottom <<
            % \transposition \transpClrA
            \transpose \transpClrA c \mvtIclrII
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}
% %}


% %{
breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*22 |
    \grace s16
    s2.*40 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*19 |
    \barNumberCheck # 115
    \pageTurn
    s2.*21 |
    \barNumberCheck # 136
    % \time 4/4
    s1*19 |
    \barNumberCheck # 155
    \noBreak
    s1*30 |
    \barNumberCheck # 185
    % \pageTurn
    s1*13 |
    \barNumberCheck # 198
    \pageTurn
    s1*3 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*7 |
    \barNumberCheck # 208
    \noBreak
    s2.*6 |
    \barNumberCheck # 214
    % \time 4/4
    s1 |
    \noBreak
    s1*16 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."} \cueDuring mvtIIbclr #DOWN { s4 } s2 |
    \barNumberCheck # 2
    s2.*11 |
    \barNumberCheck # 13
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2. | s4 } s2 |
    \barNumberCheck # 15
    s2.*34 |
    \barNumberCheck # 49
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIIobI #UP { s2.*4 | }
    \barNumberCheck # 53
    s2.*10 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -1 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    % \temporary \override MultiMeasureRest.staff-position = #4
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s16 \ottava -1 s2... | s1*4 | \ottava 0 }
    \barNumberCheck # 78
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 90
    <>-\offset X-offset #-1.5 ^\markup{Solo-Violine}
    \cueDuring mvtIIvlnSolo #UP { s2. | }
    \barNumberCheck # 91
    s2.*5 |
    \barNumberCheck # 96
    s2.*19 |
    \barNumberCheck # 115
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*4 | }
    \barNumberCheck # 119
    \revert MultiMeasureRest.staff-position
    s2.*17 |
    \barNumberCheck # 136
    % \time 4/4
    \at 8 -\offset X-offset #-1.5 ^\markup{Kontrafagott}
    \at 2.. ^\markup\halign #-1.0 {1.Fagott}
    \cueDuring mvtIIcfg #DOWN { \ottava #-1 s1 | }
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "cannot end slur")
    #(ly:expect-warning "unterminated slur")
    \cueDuring mvtIIfgI #DOWN { s1*5 | \ottava #0 }
    \barNumberCheck # 142
    \revert MultiMeasureRest.staff-position
    s1*16 |
    \barNumberCheck # 158
    \temporary \override MultiMeasureRest.staff-position = #-8
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #UP { s1*6 | }
    \barNumberCheck # 164
    \revert MultiMeasureRest.staff-position
    s1*8 |
    \barNumberCheck # 172
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #DOWN { s1*8 | }
    \barNumberCheck # 180
    s1*21 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*3 |
    \barNumberCheck # 204
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*4 | }
    \cueDuring mvtIIclrI #DOWN { s2.*4 | }
    \barNumberCheck # 212
    s2.*2 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}

>>
\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIclrII ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIclrII \with {
        } \context Bottom <<
            \transpose \transpClrA c \mvtIIclrII
            \new Lyrics \mvtIIclrLyrics
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
% %}
