\version "2.21.0"

% transposeOttavino = c'

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "2. Flöte (auch kleine Flöte)"
}

\paper {
    page-count = #8    % finalize
    % ragged-last-bottom = ##f
}


% transpInstr = ...     % default set to c in -common.ily


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*45 |
    \barNumberCheck # 149
    \pageTurn
    s2.*27 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4. |
    \barNumberCheck # 177
    \noBreak
    s4.*81 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    \temporary \override MultiMeasureRest.staff-position = #12
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { \ottava -1 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2*4 | }
    \barNumberCheck # 28
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s2*2 | }
    \barNumberCheck # 30
    s2*17 |
    \barNumberCheck # 47
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s2*5 | }
    \cueDuring mvtIflI #DOWN { s2*2 | }
    \barNumberCheck # 54
    s2*17 |
    \barNumberCheck # 71
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 2*2 \revert MultiMeasureRest.staff-position
    \at 4 -\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \cueDuring mvtIbclr #DOWN { s4 \ottava 0 s4 | s2*5 | s4 \ottava 0 } s4 |
    \barNumberCheck # 78
    s2*24 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2.*2 | }
    \barNumberCheck # 106
    s2.*16 |
    \barNumberCheck # 122
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2.*4 | }
    \barNumberCheck # 126
    \revert MultiMeasureRest.staff-position
    s2.*11 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        { \voiceOne s2.*4 | \oneVoice }
    >>
    \barNumberCheck # 141
    s2.*8 |
    \barNumberCheck # 149
    <>-\offset X-offset #-1.5 ^\markup\line{1.2.Fagott}
    \at 2.*2 \temporary \override MultiMeasureRest.staff-position = #4
    \cueDuring mvtIfgI #DOWN { \ottava -2 s2.*4 | \ottava 0 }
    \barNumberCheck # 153
    \revert MultiMeasureRest.staff-position
    s2.*14 |
    \barNumberCheck # 167
    <>-\offset X-offset #-1.5 ^\markup\line{Tuba}
    \cueDuring mvtItuba #DOWN { \ottava -1 s2.*2 | \ottava 0 }
    \barNumberCheck # 169
    \revert MultiMeasureRest.staff-position
    s2.*7 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*20 |
    \barNumberCheck # 196
    #(ly:expect-warning "cannot end slur")
    #(ly:expect-warning "unterminated slur")
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \at 2*2 \revert MultiMeasureRest.staff-position
    \cueDuring mvtIbclr #DOWN { s4.*4 | }
    \barNumberCheck # 200
    s4.*8 |
    \barNumberCheck # 208
    <>-\offset X-offset #-1.5 ^\markup{Sax.}
    \at 4.*9 \temporary \override MultiMeasureRest.staff-position = #-10
    \cueDuring mvtIasax #UP { s4.*11 | }
    \barNumberCheck # 219
    \revert MultiMeasureRest.staff-position
    s4.*21 |
    \barNumberCheck # 240
    \at 16 -\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIhrnI #DOWN { s4.*5 | }
    \barNumberCheck # 245
    s4.*9 |
    \barNumberCheck # 254
    \at 8 -\offset X-offset #-1.5 ^\markup\line{1.Oboe}
    \cueDuring mvtIobI #UP { s4.*3 | }
    \barNumberCheck # 257
    s4.*1 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIflII ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIflII \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIflII
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*36 |
    \barNumberCheck # 37
    \pageTurn
    s2.*26 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*40 |
    \barNumberCheck # 176
    \pageTurn
    s1*22 |
    \barNumberCheck # 198
    s1*3 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."} \cueDuring mvtIIvc #DOWN { s4. }
    <>^\markup\halign #1.3 \line{1.Ob.}
    \cueDuring mvtIIobI #DOWN { s8 } s4 |
    \barNumberCheck # 2
    s2.*18 |
    \barNumberCheck # 20
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #DOWN { s2. | }
    \barNumberCheck # 21
    s2.*6 |
    \barNumberCheck # 27
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup\line{Sax.,1.Klarinette}
    \cueDuring mvtIIasax #DOWN { s2.*5 | }
    \barNumberCheck # 32
    s2.*12 |
    \barNumberCheck # 44
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { s2.*8 | }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -2 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated tie")
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s16 \ottava -1 s2... | s1*4 | \ottava 0 }
    \barNumberCheck # 78
    \revert MultiMeasureRest.staff-position
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #DOWN { s2.*5 | }
    \barNumberCheck # 96
    \at 8 -\offset X-offset #-1.5 ^\markup\column{"Bklr.," "Fg."}
    \cueDuring mvtIIfgI #DOWN { s8 \ottava -1 s4. \ottava 0 } s4 |
    \barNumberCheck # 97
    s2.*22 |
    \barNumberCheck # 119
    \at 8. -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIIasax #DOWN { s2.*2 | }
    \barNumberCheck # 121
    s2.*15 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*6 | }
    \barNumberCheck # 148
    s1*10 |
    \barNumberCheck # 158
    s1*18 |
    \barNumberCheck # 176
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup\line{1.Violine}
    \cueDuring mvtIIvlnUnisono #UP { s1*2 | }
    \cueDuring mvtIIvlnUnisono #DOWN { s1 | }
    \barNumberCheck # 179
    s1*5 |
    \barNumberCheck # 184
    <>-\offset X-offset #-1.5 ^\markup\line{1.Violine}
    \cueDuring mvtIIvlnUnisono #UP { s1*2 | }
    \barNumberCheck # 186
    s1*15 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 206
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*2 | }
    \cueDuring mvtIIclrI #DOWN { s2.*4 | }
    \barNumberCheck # 212
    s2.*2 |
    \barNumberCheck # 214
    % \time 4/4
    s1*11 |
    \barNumberCheck # 225
    #(ly:expect-warning "unterminated slur")
    \at 2 -\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*4 | s4 } s2. |
    \barNumberCheck # 230
    s1*1 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIflII ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIflII \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIIflII
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
    }
}
