\version "2.21.0"

% common score definitions
markSize = #2
tempoSize = #2

clefOldHornF = <>
clefG = <>


\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"

\includeOnce "common-grand-score.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

transpInstr = f,


#(set-global-staff-size 17)

\paper {
    indent = 20
    short-indent = 8
}


\score {
    \keepWithTag #'( PARTS KEEPQUOTED mvtIhrnI mvtIhrnII mvtIhrnIII mvtIhrnIV ) <<
        % \new Dynamics \mvtIbreaks

        \new MarkLine \mvtItempi

        \new GrandStaff \with {
            instrumentName = "Horn in F"
            shortInstrumentName = "Hrn."
        } <<
            \new Staff \with {
                instrumentName = "1"
                shortInstrumentName = "1"
                \consists "Ambitus_engraver"
            } <<
                \transpose \transpInstr c \mvtIhrnI
            >>
            \new Staff \with {
                instrumentName = "3"
                shortInstrumentName = "3"
                \consists "Ambitus_engraver"
            } <<
                \transpose \transpInstr c \mvtIhrnIII
            >>
            \new Staff \with {
                instrumentName = "2"
                shortInstrumentName = "2"
                \consists "Ambitus_engraver"
            } <<
                \transpose \transpInstr c \mvtIhrnII
            >>
            \new Staff \with {
                instrumentName = "4"
                shortInstrumentName = "4"
                \consists "Ambitus_engraver"
            } <<
                \transpose \transpInstr c \mvtIhrnIV
            >>
        >>
    >>
}


\score {
    \keepWithTag #'( SCORE KEEPQUOTED mvtIIhrnI mvtIIhrnII mvtIIhrnIII mvtIIhrnIV ) <<
        % \new Dynamics \mvtIbreaks

        \new MarkLine \mvtItempi

        \new GrandStaff \with {
            instrumentName = "Horn in F"
            shortInstrumentName = "Hrn."
        } <<
            \new Staff \with {
                instrumentName = "1,3"
                shortInstrumentName = "1,3"
            } <<
                \set Staff.soloText = "1."
                \set Staff.soloIIText = "3."
                \set Staff.aDueText = \markup{zu \concat {2 \raise #0.5 t}}
                \partCombine
                    \transpose \transpInstr c \mvtIhrnI
                    \removeWithTag KEEPQUOTED \transpose \transpInstr c \mvtIhrnIII
            >>
            \new Staff \with {
                instrumentName = "2,4"
                shortInstrumentName = "2,4"
            } <<
                \set Staff.soloText = "2."
                \set Staff.soloIIText = "4."
                \set Staff.aDueText = \markup{zu \concat {2 \raise #0.5 t}}
                \partCombine
                    \transpose \transpInstr c \mvtIhrnII
                    \removeWithTag KEEPQUOTED \transpose \transpInstr c \mvtIhrnIV
            >>
        >>
    >>
}


\score {
    \keepWithTag #'( PARTS KEEPQUOTED ) <<
        % \new Dynamics \mvtIbreaks

        \new MarkLine {
            \mvtItempi
        }

        \new GrandStaff \with {
            instrumentName = "Horn in F"
            shortInstrumentName = "Hrn."
            \consists "Keep_alive_together_engraver"
        } <<
            \new Staff \with {
                instrumentName = "1,3"
                shortInstrumentName = "1,3"
            } <<
                \set Staff.soloText = "1."
                \set Staff.soloIIText = "3."
                \set Staff.aDueText = \markup{zu \concat {2 \raise #0.5 t}}
                \partCombine
                    \transpose \transpInstr c \mvtIhrnI
                    \removeWithTag KEEPQUOTED \transpose \transpInstr c \mvtIhrnIII
            >>
            \new Staff \with {
                instrumentName = "2"
                shortInstrumentName = "2"

                \override VerticalAxisGroup.remove-empty = ##t
                \override VerticalAxisGroup.remove-first = ##t
                \override VerticalAxisGroup.remove-layer = 1
            } <<
                \transpose \transpInstr c \mvtIhrnII
            >>
            \new Staff \with {
                instrumentName = "4"
                shortInstrumentName = "4"

                \override VerticalAxisGroup.remove-empty = ##t
                \override VerticalAxisGroup.remove-first = ##t
                \override VerticalAxisGroup.remove-layer = 1
            } <<
                \transpose \transpInstr c \mvtIhrnIV
            >>
            \new Staff \with {
                instrumentName = "2,4"
                shortInstrumentName = "2,4"

                \override VerticalAxisGroup.remove-layer = 2
            } <<
                \set Staff.soloText = "2."
                \set Staff.soloIIText = "4."
                \set Staff.aDueText = \markup{zu \concat {2 \raise #0.5 t}}
                \partCombine
                    \transpose \transpInstr c \mvtIhrnII
                    \removeWithTag KEEPQUOTED \transpose \transpInstr c \mvtIhrnIV
            >>
        >>
    >>
}
