\version "2.21.0"

% transposeOttavino = c''

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "Violoncello"
}

\paper {
    ragged-last-bottom = ##f
    % ragged-bottom = ##t
    page-count = #13    % finalize
    indent = 10
    short-indent = 10
}


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*69 |
    \barNumberCheck # 80
    \break
    s2*22 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*18 |
    \barNumberCheck # 122
    \pageTurn
    \autoPageBreaksOff
    s2.*10 |
    \barNumberCheck # 132
    \break
    s2.*12 |
    \barNumberCheck # 144
    \pageBreak
    s2.*4 |
    \barNumberCheck # 148
    % \break
    % \pageBreak
    s2.*15 |
    \barNumberCheck # 163
    \break
    s2.*4 |
    \barNumberCheck # 167
    \pageTurn
    % \autoPageBreaksOn
    s2.*9 |
    \barNumberCheck # 176
    % \time 3/8
    s4.*1 |
    \barNumberCheck # 177
    \noBreak
    s4.*24 |
    \barNumberCheck # 201
    \noBreak
    s4.*11 |
    \barNumberCheck # 212
    \pageBreak
    s4.*35 |
    \barNumberCheck # 247
    \noBreak
    s4.*11 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { \ottava #0 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #UP { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { s1 | \ottava #0 }
    \barNumberCheck # 4
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*4 |
    \barNumberCheck # 15
    \temporary \override MultiMeasureRest.staff-position = #-8
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #UP { \ottava #1 s2*6 | \ottava #0 }
    \barNumberCheck # 21
    \revert MultiMeasureRest.staff-position
    s2*20 |
    \barNumberCheck # 41
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #UP { \tuplet 3/2 { s8 \ottava 1 s4 } s4 | s4 \ottava 0 } s4 |
    \barNumberCheck # 43
    s2*29 |
    \barNumberCheck # 72        % 1 ahead (why?)
    \set Staff.shortInstrumentName = "Übr."
    s2*7 |
    \barNumberCheck # 79
    \set Staff.shortInstrumentName = ""
    s2*23 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*66 |
    \barNumberCheck # 170
    #(ly:expect-warning "unterminated slur")
    \at 16*9 -\offset X-offset #-1.5 ^\markup\line{Fg.,Bklr.}
    \cueDuring mvtIfgI #UP { s2.*3 | }
    \barNumberCheck # 173
    s2.*3 |
    \barNumberCheck # 176
    % \time 3/8
    s4.*46 |
    \barNumberCheck # 222
    \set Staff.shortInstrumentName = "Übr."
    s4.*7 |
    \barNumberCheck # 229
    \set Staff.shortInstrumentName = ""
    s4.*29
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIvc ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new GrandStaff <<
            \new Staff = mvtIvcSolo \with {
                instrumentName = "1.Solo"
                shortInstrumentName = "1.Solo"
                \RemoveAllEmptyStaves
            } <<
                \mvtIvcSolo
            >>
            \new Staff = mvtIvcSoloII \with {
                instrumentName = "2.Solo"
                shortInstrumentName = "2.Solo"
                \RemoveAllEmptyStaves
            } <<
                \mvtIvcSoloII
            >>
            \new Staff = mvtIvc \with {
            } \context Bottom <<
                \mvtIvc
                \cuesI
            >>
            \new Staff = mvtIvchII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvchII
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*22 |
    \grace s16
    s2.*40 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    \pageTurn
    s2.*5 |
    \barNumberCheck # 96
    s2.*30 |
    \barNumberCheck # 126
    \break
    s2.*10 |
    \barNumberCheck # 136
    % \time 4/4
    s1*16 |
    \barNumberCheck # 152
    \autoPageBreaksOff
    \pageTurn
    s1*3 |
    \barNumberCheck # 155
    \noBreak
    s1*3 |
    \barNumberCheck # 158
    \noBreak
    s1*25 |
    \barNumberCheck # 183
    % \break
    s1*11 |
    \barNumberCheck # 194
    \pageBreak
    s1*7 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*9 |
    \barNumberCheck # 223
    \break
    s1*8 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \barNumberCheck # 1
    % \time 3/4
    \showMMRs
    s2.*43 |
    \barNumberCheck # 44
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { \ottava 2 s2.*8 | \ottava 0 }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1*10 |
    \barNumberCheck # 73
    #(ly:expect-warning "unterminated tie")
    \at 8 <>-\offset X-offset #-1.5 ^\markup{Bratsche}
        \cueDuring mvtIIvla #UP { s1*5 | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s2.*5 | \ottava 0 }
    \barNumberCheck # 96
    s2.*30 |
    \barNumberCheck # 126
    \set GrandStaff.shortInstrumentName = \markup\center-column{"Übr." "get."}
    s2.*4 |
    \barNumberCheck # 130
    \set GrandStaff.shortInstrumentName = ""
    s2.*6 |
    \barNumberCheck # 136
    % \time 4/4
    \set Staff.shortInstrumentName = "Übr."
    s1*9 |
    \barNumberCheck # 145
    \at 8 -\offset X-offset #-1.5 ^\markup{II.Violine}
    \cueDuring mvtIIvlnII #UP { s8 \ottava 1 s2.. | s1 | s4. \ottava 0 s8 s2 | }
    \barNumberCheck # 148
    s1*9 |
    s1 |
    \barNumberCheck # 158
    s1 |
    \set Staff.shortInstrumentName = ""
    s1*42 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*9 |
    \barNumberCheck # 223
    \hideMMRs
    s1*8 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIvc ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIvcSolo \with {
            instrumentName = "1.Solo"
            shortInstrumentName = "1.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIIvcSolo
        >>
        \new GrandStaff \with {
        } <<
            \new Staff = mvtIIvc \with {
                \RemoveEmptyStaves
            } \context Bottom <<
                \mvtIIvc
                \cuesII
            >>
            \new Staff = mvtIIvchII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIvchII
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}

\includeOnce "last-page-copyright.ily"

% \markup\vspace #22.0
\hauptStimmeExplain
\markup\vspace #0.0
