\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

\header {
    instrument = "I. Violine"
}

\paper {
    ragged-last-bottom = ##f
    % ragged-bottom = ##t
    page-count = #14    % finalize
    indent = 10
    short-indent = 10
}


% %{
breaksI = <<
\mvtItimeline
{
    % \time 4/4
    \autoPageBreaksOff
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*54 |
    \barNumberCheck # 65
    \pageBreak
    \break
    s2*29 |
    \barNumberCheck # 94
    \break
    s2*8 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*6 |
    \barNumberCheck # 110
    \pageTurn
    \autoPageBreaksOn
    s2.*66 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*4 |
    \barNumberCheck # 180
    \repeat unfold 3 { \noBreak s4. | }
    s4.*8 |
    \barNumberCheck # 191
    \pageTurn
    s4.*67 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    #(ly:expect-warning "unterminated tie")
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    \revert MultiMeasureRest.staff-position
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    \barNumberCheck # 4
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2*4 | }
    \barNumberCheck # 28
    s2*7 |
    \barNumberCheck # 35
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 8 -\offset X-offset #-1.5 ^\markup{2.Fagott}
    \cueDuring mvtIfgII #DOWN { s8 \ottava #-1 s4. | s2*2 | \ottava #0 }
    \barNumberCheck # 38
    \revert MultiMeasureRest.staff-position
    s2*8 |
    \barNumberCheck # 46
    \at 8 -\offset X-offset #-1.5 ^\markup{Solo-Vl.}
    \cueDuring mvtIvlnSolo #DOWN { s2*5 | }
    \barNumberCheck # 51
    s2*12 |
    \barNumberCheck # 63
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2*4 | }
    \barNumberCheck # 67
    s2*7 |
    \barNumberCheck # 74
    \temporary \override MultiMeasureRest.staff-position = #6
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Posaune}
    \cueDuring mvtItromI #DOWN { s4 \ottava #-1 s4 | s2*2 | s8 \ottava #0 s4. | }
    \barNumberCheck # 78
    \revert MultiMeasureRest.staff-position
    s2*24 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*51 |
    \barNumberCheck # 155
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 8 -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { \ottava #-1 s2.*3 | \ottava #0 }
    \barNumberCheck # 158
    \revert MultiMeasureRest.staff-position
    s2.*9 |
    \barNumberCheck # 167
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Baßtuba}
    \cueDuring mvtItuba #DOWN { \ottava #-1 s2.*2 | s2 \ottava #0 s4 | }
    \barNumberCheck # 170
    \revert MultiMeasureRest.staff-position
    s2.*6 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*4 |
    \barNumberCheck # 180
    \at 16 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
        \cueDuring mvtIclrI #DOWN { s4.*4 | }
    \cueDuring mvtIclrI #UP { s4.*2 | }
    \barNumberCheck # 186
    s4.*32 |
    \barNumberCheck # 218
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Horn}
        \cueDuring mvtIhrnI #DOWN { s4.*6 | }
    \barNumberCheck # 224
    s4.*28 |
    \barNumberCheck # 252
    % \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { <>-\tweak font-size #-2 _\markup\halign #1.3 \PZ \ottava #-1 s4. | s8 s4 | }
    s4.*2 |
    \cueDuring mvtIvc #DOWN { s4. | \ottava #0 }
    \barNumberCheck # 257
    \barNumberCheck # 257
    % \revert MultiMeasureRest.staff-position
    s4.*1 |
    \barNumberCheck # 258
}
>>


vlnSoloOssiaI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    \stopStaff
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    \clef bass          % force clef when the staff starts
    s2.*16 |
    \barNumberCheck # 120
    % \startStaff
    \undo \omit Staff.Clef
    <>^\markup\normalsize{Solo-Violine}
    \quoteDuring mvtIvlnSoloOssia { \clef treble s2. | s4 }
        \barNumberCheck # 121
        \stopStaff
        s2 |
    \omit Staff.Clef
    s2.*2 |
    \barNumberCheck # 124
    % \startStaff
    \undo \omit Staff.Clef
    <>^\markup\normalsize{Solo-Violine}
    \quoteDuring mvtIvlnSoloOssia { \clef treble s2. | s4 }
        \barNumberCheck # 125
        \stopStaff
        s2 |
    \omit Staff.Clef
    s2.*50 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*82 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIvlnI ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIvlnSoloOssia \with {
            % shortInstrumentName = "Solo Ossia"
            \omit Clef
            \omit TimeSignature
            \staffSize #-2
            \RemoveAllEmptyStaves
        } <<
            \vlnSoloOssiaI
        >>
        \new Staff = mvtIvlnIsolo \with {
            \RemoveAllEmptyStaves
            shortInstrumentName = "1.Solo"
        } <<
            \mvtIvlnIsolo
        >>
        \new GrandStaff \with {
        } <<
            \new Staff = mvtIvlnI \with {
            } \context Bottom <<
                \mvtIvlnI
                \cuesI
            >>
            \new Staff = mvtIvlnIhII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnIhII
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}
% %}


% %{
breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    % \autoPageBreaksOff
    s2.*36 |
    \barNumberCheck # 37
    \pageTurn
    s2.*3 |
    \barNumberCheck # 40
    s2.*9 |
    \barNumberCheck # 49
    % \pageTurn
    % \autoPageBreaksOn
    s2.*9 |
    \barNumberCheck # 58
    \break
    s2.*5 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*23 |
    \barNumberCheck # 119
    \pageTurn
    s2.*7 |
    \barNumberCheck # 126
    \break
    s2.*10 |
    \barNumberCheck # 136
    % \time 4/4
    s1*34 |
    \barNumberCheck # 170
    \pageTurn
    \autoPageBreaksOff
    s1*5 |
    \barNumberCheck # 175
    \break
    s1*6 |
    \barNumberCheck # 181
    \pageBreak
    s1*16 |
    \barNumberCheck # 197
    \pageTurn
    \autoPageBreaksOn
    s1*4 |
    \barNumberCheck # 201
    % \time 3/4
    \noBreak
    s2.*6 |
    \barNumberCheck # 207
    \break
    s2.*7 |
    \barNumberCheck # 214
    % \time 4/4
    s1*13 |
    \barNumberCheck # 227
    \break
    s1*4 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \barNumberCheck # 1
    % \time 3/4
    \showMMRs
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 8 -\offset X-offset #-6.0 _\markup\column{"Kbß." "Vlc."}
    \cueDuring mvtIIvc #DOWN { s8 \ottava #-1 s4 } \ottava #0
    <>-\offset X-offset #-1.5 ^\markup\normalsize\line{II.Vln.}
    \teeny <<
        \quoteDuring mvtIIvlnII { s4. | }
        \quoteDuring mvtIIvlnIIhII { s4. | }
    >> \normalsize
    \barNumberCheck # 2
    \revert MultiMeasureRest.staff-position
    s2.*4 |
    \barNumberCheck # 6
    s2.*6 |
    \barNumberCheck # 12
    <>-\offset X-offset #-1.5 _\markup{Violoncelli}
    \cueDuring mvtIIvc #DOWN { \ottava #-1 s2.*2 | \ottava #0 }
    \barNumberCheck # 14
    \at 4. ^\markup\halign #1.3 {Kbß.}
    \cueDuring mvtIIcb #DOWN { s4. \ottava #-2 s8 \ottava #0 } s4 |
    \barNumberCheck # 15
    s2.*8 |
    \barNumberCheck # 23
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*4 | }
    \barNumberCheck # 27
    s2.*13 |
    \barNumberCheck # 40
    \temporary \override MultiMeasureRest.staff-position = #-12
    <>-\offset X-offset #-1.5 ^\markup{Solo-Violine}
    \cueDuring mvtIIvlnSolo #UP { s2.*2 | s4 } s2 |
    \barNumberCheck # 43
    \revert MultiMeasureRest.staff-position
    s2.*2 |
    \barNumberCheck # 45
    s2.*8 |
    \barNumberCheck # 53
    \at 8 -\offset X-offset #-1.5 _\markup{Violoncelli}
    \cueDuring mvtIIvc #DOWN { s8 <>^\PZ \ottava #-1 s8 s2 | s8 \ottava #0 } s s2 |
    \barNumberCheck # 55
    s2.*8 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -2 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 16 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #DOWN { s16 \ottava #-1 s2... | s1*4 | \ottava 0 }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    \at 8 -\offset X-offset #-1.5 ^\markup{1.2.Fagott, Bklr.}
    \cueDuring mvtIIfgI #DOWN { s8 \ottava #-1 s4. \ottava #0 s4 | }
    \barNumberCheck # 97
    s2.*7 |
    \barNumberCheck # 104
    s2.*15 |
    \barNumberCheck # 119
    \at 8. -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIIasax #DOWN { s2.*2 | }
    \barNumberCheck # 121
    s2.*3 |
    \barNumberCheck # 124
    s2.*6 |
    \barNumberCheck # 130
    s2.*6 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*6 | }
    \barNumberCheck # 148
    s1*9 |
    \barNumberCheck # 157
    \at 2. -\offset X-offset #-1.5 ^\markup{3.Horn}
    \cueDuring mvtIIhrnIII #UP { s1*4 | }
    \cueDuring mvtIIhrnIII #DOWN { s1*5 | }
    \barNumberCheck # 166
    \hideMMRs   % bar 166-169 are weird: should be MMR-combined, and this directive should even hide them.
    s1*4 |
    \barNumberCheck # 170
    s1*30 |
    \barNumberCheck # 200
    \at 4 -\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \cueDuring mvtIIbclr #UP {
        s1 |
        \barNumberCheck # 201
        % \time 3/4
        s2. |
    }
    \cueDuring mvtIIbclr #DOWN {
        s2.*2 |
    }
    \barNumberCheck # 204
    s2.*3 |
    \barNumberCheck # 207
    s2.*7 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


mvtIIvlnIIdivisi = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*62 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIvlnI ) <<
        \new Dynamics \breaksII
        \new MarkLine \mvtIItempi

        \new Staff = mvtIIvlnIsolo \with {
            instrumentName = "1.Solo"
            shortInstrumentName = "1.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIIvlnIsolo
        >>
        \new Staff = mvtIIvlnIsoloII \with {
            instrumentName = "2.Solo"
            shortInstrumentName = "2.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIIvlnIsoloII
        >>
        \new Staff = mvtIIvlnIsoloIII \with {
            instrumentName = "3.Solo"
            shortInstrumentName = "3.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIIvlnIsoloIII
        >>
        \new Staff = mvtIIvlnIsoloIV \with {
            instrumentName = "4.Solo"
            shortInstrumentName = "4.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIIvlnIsoloIV
        >>
        \new StaffGroup \with {
            systemStartDelimiter = #'SystemStartBrace
        } <<
            \new GrandStaff \with {
            } <<
                \new Staff = mvtIIvlnIsolo \with {
                    instrumentName = "1.Solo"
                    shortInstrumentName = "1.Solo"
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIIvlnIsoloHI
                >>
                \new Staff = mvtIIvlnI \with {
                    \RemoveAllEmptyStaves
                } \context Bottom <<
                    \mvtIIvlnI
                    \cuesII
                >>
            >>
            \new GrandStaff \with {
            } <<
                \new Staff = mvtIIvlnIsoloHII \with {
                    instrumentName = "2.Solo"
                    shortInstrumentName = "2.Solo"
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIIvlnIsoloHII
                >>
                \new Staff = mvtIIvlnIhII \with {
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIIvlnIhII
                >>
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
% %}
